### Method

# AppStream ReviewsClient set_user_hash

#### Declaration [src]

    void
    as_reviews_client_set_user_hash (
      AsReviewsClient* rrc,
      const gchar* user_hash
    )

#### Description [src]

Explicitly set the opaque hash value used to identify the current user to the reviews service. Set it to `NULL` to have a suitable hash generated automatically, which is the default behavior.

#### Parameters

`user_hash`

  Type: `const gchar*`

  The new user hash string.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.